/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-09-30 17:01
 **/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b){ return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b){ return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MOD = 998'244'353;

const ll MAXN = 1e9 + 5;
const ll INF = 1LL << 60;

ll N, M;

// bitset<MAXN> seen;

void solve(){
    // Code goes here ...
    cin >> N >> M;

    if(M <= N and N % M == 0){
        cout << 0 << endl;
        return;
    }

    // if(__popcount(M) != 1){
    //     cout << -1 << endl;
    //     return;
    // }

    ll cuts = 0;
    ll rem = N % M;
    // seen.reset();
    // vector<int> seen(M, 0);
    // mem[0] = 0;
    int cnt = 0, bound = 200;
    set<ll> seen;
    while(rem != 0){
        // do things
        // if(seen[rem] or cnt > 1000){
        if(seen.contains(rem) or cnt > bound){
            cout << -1 << endl;
            return;
        }
        cuts += rem;
        // seen.set(rem);
        seen.insert(rem);
        rem *= 2;
        rem %= M;
        cnt++;
    }
    
    cout << cuts << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    /* string rest; */
    /* while(cin.peek() != char_traits<char>::eof()){ */
    /*     solve(); */
    /*     getline(cin, rest); */
    /* } */

    return 0;
}
        
